Index: calculatorview/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- calculatorview/perspectives/calculator/kiessig_calculator_panel.py	(revision 74b1770c459412a087638d5bfaae3d22dc9df204)
+++ calculatorview/perspectives/calculator/kiessig_calculator_panel.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -11,9 +11,10 @@
 import wx
 import sys
-import os
+#import os
 
-from sans.guicomm.events import StatusEvent  
+#from sans.guicomm.events import StatusEvent  
 from sans.calculator.kiessig_calculator import KiessigThicknessCalculator 
-from calculator_widgets import OutputTextCtrl, InputTextCtrl
+from calculator_widgets import OutputTextCtrl
+from calculator_widgets import InputTextCtrl
 
 _BOX_WIDTH = 77
@@ -39,6 +40,6 @@
     CENTER_PANE = True
     
-    def __init__(self, parent, id=-1, *args, **kwds):
-        wx.Panel.__init__(self, parent, id=id, *args, **kwds)
+    def __init__(self, parent, *args, **kwds):
+        wx.Panel.__init__(self, parent, *args, **kwds)
         #Font size 
         self.SetWindowVariant(variant=FONT_VARIANT)  
@@ -46,4 +47,6 @@
         self.parent = parent
         self.kiessig = KiessigThicknessCalculator()
+        #layout attribute
+        self.hint_sizer = None
         self._do_layout()
        
@@ -91,5 +94,6 @@
         """
         thick_unit = '['+self.kiessig.get_thickness_unit() +']'
-        thickness_size_txt = wx.StaticText(self, -1, 'Thickness (or Diameter): ')
+        thickness_size_txt = wx.StaticText(self, -1, 
+                                           'Thickness (or Diameter): ')
         self.thickness_size_tcl = OutputTextCtrl(self, -1, 
                                                  size=(_BOX_WIDTH,-1))
@@ -106,5 +110,6 @@
         Fill the sizer containing hint 
         """
-        hint_msg = "This tool is to approximately estimate the thickness of a layer"
+        hint_msg = "This tool is to approximately estimate "
+        hint_msg += "the thickness of a layer"
         hint_msg += " or the diameter of particles\n "
         hint_msg += "from the Kiessig fringe width in SANS/NR data."
@@ -148,4 +153,6 @@
         """
         self.parent.Close()
+        if event is not None:
+            event.Skip()
         
     def on_compute(self, event):
@@ -164,5 +171,5 @@
         self.thickness_size_tcl.SetValue(str(thickness))
         
-    def format_number(self,value=None):
+    def format_number(self, value=None):
         """
         Return a float in a standardized, human-readable formatted string 
@@ -174,10 +181,11 @@
             return output
 
-        output= "%-7.4g" % value
+        output = "%-7.4g" % value
         return output.lstrip().rstrip()   
      
 class KiessigWindow(wx.Frame):
-    def __init__(self, parent=None, id=1, title="Kiessig Thickness Calculator"):
-        wx.Frame.__init__(self, parent, id, title, size=(PANEL_WIDTH,PANEL_HEIGHT))
+    def __init__(self, parent=None, title="Kiessig Thickness Calculator"):
+        wx.Frame.__init__(self, parent, title,
+                           size=(PANEL_WIDTH,PANEL_HEIGHT))
         self.parent = parent
         self.panel = KiessigThicknessCalculatorPanel(parent=self)
Index: calculatorview/perspectives/calculator/sample_editor.py
===================================================================
--- calculatorview/perspectives/calculator/sample_editor.py	(revision ad6f597281ffdc10ba61293ef7a8566da1421213)
+++ calculatorview/perspectives/calculator/sample_editor.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -6,5 +6,5 @@
 
 _BOX_WIDTH = 60
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 450
     PANEL_WIDTH = 500
@@ -55,5 +55,6 @@
         ## Short name for sample [string]
         sample_name_txt = wx.StaticText(self, -1, 'Sample Name : ')  
-        self.sample_name_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH*5, 20), style=0) 
+        self.sample_name_tcl = wx.TextCtrl(self, -1,
+                                            size=(_BOX_WIDTH*5, 20), style=0) 
         self.name_sizer.AddMany([(sample_name_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                        (self.sample_name_tcl, 0, wx.EXPAND)])
@@ -74,5 +75,6 @@
         ## Thickness [float] [mm]
         thickness_txt = wx.StaticText(self, -1, 'Thickness:') 
-        self.thickness_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)  
+        self.thickness_tcl = wx.TextCtrl(self, -1,
+                                          size=(_BOX_WIDTH, 20),style=0)  
         thickness_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
         self.thickness_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),
@@ -80,5 +82,5 @@
         self.thickness_sizer.AddMany([(thickness_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (self.thickness_tcl, 0, wx.LEFT, 25),
-                                     (thickness_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
+                            (thickness_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (self.thickness_unit_tcl, 0, wx.EXPAND)]) 
     def _layout_transmission(self):
@@ -89,6 +91,8 @@
         transmission = None
         transmission_txt = wx.StaticText(self, -1, 'Transmission:') 
-        self.transmission_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)   
-        self.transmission_sizer.AddMany([(transmission_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.transmission_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, 20),style=0)   
+        self.transmission_sizer.AddMany([(transmission_txt,
+                                         0, wx.LEFT|wx.RIGHT, 10),
                                      (self.transmission_tcl, 0, wx.LEFT, 12)]) 
         
@@ -99,11 +103,13 @@
         ## Temperature [float] [C]
         temperature_txt = wx.StaticText(self, -1, 'Temperature:') 
-        self.temperature_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)   
+        self.temperature_tcl = wx.TextCtrl(self, -1, 
+                                           size=(_BOX_WIDTH, 20), style=0)   
         temperature_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
         self.temperature_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),
                                                             style=0)  
-        self.temperature_sizer.AddMany([(temperature_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.temperature_sizer.AddMany([(temperature_txt, 0,
+                                          wx.LEFT|wx.RIGHT, 10),
                                      (self.temperature_tcl, 0, wx.LEFT, 10),
-                                     (temperature_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
+                                (temperature_unit_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (self.temperature_unit_tcl, 0, wx.EXPAND)])  
     
@@ -115,11 +121,15 @@
         position_txt = wx.StaticText(self, -1, 'Position:') 
         x_position_txt = wx.StaticText(self, -1, 'x = ')  
-        self.x_position_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.x_position_tcl = wx.TextCtrl(self, -1,
+                                           size=(_BOX_WIDTH,20), style=0) 
         y_position_txt = wx.StaticText(self, -1, 'y = ')  
-        self.y_position_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.y_position_tcl = wx.TextCtrl(self, -1,
+                                           size=(_BOX_WIDTH,20), style=0) 
         z_position_txt = wx.StaticText(self, -1, 'z = ')  
-        self.z_position_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
+        self.z_position_tcl = wx.TextCtrl(self, -1,
+                                           size=(_BOX_WIDTH,20), style=0)  
         position_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.position_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
+        self.position_unit_tcl = wx.TextCtrl(self, -1, 
+                                             size=(_BOX_WIDTH,20), style=0)  
         self.position_sizer.AddMany([(position_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (x_position_txt, 0, wx.LEFT, 14),
@@ -138,12 +148,17 @@
         orientation_txt = wx.StaticText(self, -1, 'Orientation:') 
         x_orientation_txt = wx.StaticText(self, -1, 'x = ')  
-        self.x_orientation_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.x_orientation_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH,20), style=0) 
         y_orientation_txt = wx.StaticText(self, -1, 'y = ')  
-        self.y_orientation_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.y_orientation_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH,20), style=0) 
         z_orientation_txt = wx.StaticText(self, -1, 'z = ')  
-        self.z_orientation_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
+        self.z_orientation_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH,20), style=0)  
         orientation_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.orientation_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
-        self.orientation_sizer.AddMany([(orientation_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.orientation_unit_tcl = wx.TextCtrl(self, -1,
+                                                 size=(_BOX_WIDTH,20), style=0)  
+        self.orientation_sizer.AddMany([(orientation_txt, 0,
+                                          wx.LEFT|wx.RIGHT, 10),
                                      (x_orientation_txt, 0, wx.LEFT, 0),
                                      (self.x_orientation_tcl, 0, wx.RIGHT, 10),
@@ -153,5 +168,5 @@
                                      (self.z_orientation_tcl, 0, wx.RIGHT, 10),
                                      (orientation_unit_txt, 0, wx.EXPAND),
-                                     (self.orientation_unit_tcl, 0, wx.RIGHT, 10)])
+                            (self.orientation_unit_tcl, 0, wx.RIGHT, 10)])
         
     def _layout_details(self):
@@ -275,5 +290,6 @@
         self.position_unit_tcl.SetValue(str(sample.position_unit))
         #orientation
-        x, y, z = sample.orientation.x, sample.orientation.y , sample.orientation.z
+        x, y = sample.orientation.x, sample.orientation.y 
+        z = sample.orientation.z
         self.x_orientation_tcl.SetValue(str(x))  
         self.y_orientation_tcl.SetValue(str(y)) 
@@ -347,5 +363,6 @@
         if self._sample.transmission != transmission:
             self._notes += " Change transmission from"
-            self._notes += " %s to %s \n"%(self._sample.transmission, transmission)
+            self._notes += " %s to %s \n" % (self._sample.transmission,
+                                              transmission)
             self._sample.transmission = transmission
             
@@ -378,5 +395,6 @@
                 if self._sample.position.x != float(x_position) :
                     self._notes += "Change x of position from "
-                    self._notes += "%s to %s \n"%(self._sample.position.x, x_position)
+                    self._notes += "%s to %s \n" % (self._sample.position.x,
+                                                     x_position)
                     self._sample.position.x  = float(x_position)
             else:
@@ -393,5 +411,6 @@
                 if self._sample.position.y != float(y_position):
                     self._notes += "Change y of position from "
-                    self._notes += "%s to %s \n"%(self._sample.position.y, y_position)
+                    self._notes += "%s to %s \n" % (self._sample.position.y, 
+                                                    y_position)
                     self._sample.position.y  = float(y_position)
             else:
@@ -408,5 +427,6 @@
                 if self._sample.position.z != float(z_position):
                     self._notes += "Change z of position from "
-                    self._notes += "%s to %s \n"%(self._sample.position.z, z_position)
+                    self._notes += "%s to %s \n" % (self._sample.position.z,
+                                                    z_position)
                     self._sample.position.z  = float(z_position)
             else:
@@ -438,5 +458,6 @@
                 self._notes += "Error: Expected a float for orientation 's x "
                 self._notes += "won't changes x orientation from "
-                self._notes += "%s to %s"%(self._sample.orientation.x, x_orientation)
+                self._notes += "%s to %s" % (self._sample.orientation.x,
+                                              x_orientation)
         #Change y coordinate
         y_orientation = self.y_orientation_tcl.GetValue().lstrip().rstrip()
@@ -448,10 +469,12 @@
                 if self._sample.orientation.y != float(y_orientation):
                     self._notes += "Change y of orientation from "
-                    self._notes += "%s to %s \n"%(self._sample.orientation.y, y_orientation)
+                    self._notes += "%s to %s \n" % (self._sample.orientation.y,
+                                                     y_orientation)
                     self._sample.orientation.y  = float(y_orientation)
             else:
                 self._notes += "Error: Expected a float for orientation's y "
                 self._notes += "won't changes y orientation from "
-                self._notes += "%s to %s"%(self._sample.orientation.y, y_orientation)
+                self._notes += "%s to %s" % (self._sample.orientation.y,
+                                            y_orientation)
         #Change z coordinate
         z_orientation = self.z_orientation_tcl.GetValue().lstrip().rstrip()
@@ -463,10 +486,12 @@
                 if self._sample.orientation.z != float(z_orientation):
                     self._notes += "Change z of orientation from "
-                    self._notes += "%s to %s \n"%(self._sample.orientation.z, z_orientation)
-                    self._sample.orientation.z  = float(z_orientation)
+                    self._notes += "%s to %s \n" % (self._sample.orientation.z,
+                                                     z_orientation)
+                    self._sample.orientation.z = float(z_orientation)
             else:
                 self._notes += "Error: Expected a float for orientation 's x "
                 self._notes += "won't changes z orientation from "
-                self._notes += "%s to %s"%(self._sample.orientation.z, z_orientation)
+                self._notes += "%s to %s" % (self._sample.orientation.z,
+                                              z_orientation)
         #change the beam center unit
         unit = self.orientation_unit_tcl.GetValue().lstrip().rstrip()
@@ -505,5 +530,7 @@
         if self.manager is not None:
             self.manager.set_sample(self._sample)
-       
+        if event is not None:
+            event.Skip()
+            
     def on_click_cancel(self, event):
         """
@@ -514,8 +541,9 @@
         if self.manager is not None:
              self.manager.set_sample(self._sample, self._notes)
+        if event is not None:
+            event.Skip()
 
-if __name__ =="__main__":
-    
-    app  = wx.App()
+if __name__ == "__main__":
+    app = wx.App()
     from DataLoader.data_info import Sample
     sample = Sample()
